package quimufu.colourful_portals.client.mixin;

import net.minecraft.client.resource.metadata.AnimationResourceMetadata;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Unique;
import quimufu.colourful_portals.client.rendering.AlphaInterpolationHolder;

@Mixin(AnimationResourceMetadata.class)
public class AnimationResourceMetadataMixin implements AlphaInterpolationHolder {

    @Unique
    private boolean interpolateAlpha = false;
    public void colourful_portals$setInterpolateAlpha(boolean interpolateAlpha) {
        this.interpolateAlpha = interpolateAlpha;
    }
    public boolean colourful_portals$isInterpolateAlpha() {
        return interpolateAlpha;
    }

}
